import { ToastProvider } from '@/modules/toast/Provider';
import Sidebar from './sidebar';
import { Content } from './content';
import { Panel, PanelGroup, PanelResizeHandle } from 'react-resizable-panels';

export const App = () => {
  return (
    <ToastProvider>
      <AIEditor />
    </ToastProvider>
  );
};

export const SidebarApp = () => {
  return (
    <ToastProvider>
      <Sidebar />
    </ToastProvider>
  );
};

export const AIEditor = () => {
  return (
    <div className='flex h-full w-full flex-col items-center justify-center'>
      <div className='text-2xl font-bold'>AI Editor</div>
      <div style={{ height: 'calc(100vh - 50px)' }} className='flex w-full'>
        <div className='flex w-full'>
          <PanelGroup direction='horizontal'>
            <Panel minSize={20} defaultSize={30}>
              <Sidebar />
            </Panel>
            <PanelResizeHandle />
            <Panel minSize={30}>
              <div className='w-full h-full overflow-hidden'>
                <Content />
              </div>
            </Panel>
          </PanelGroup>
        </div>
      </div>
    </div>
  );
};
