import { Button } from '@/components/a/button.tsx';
import { TextEditor } from '@kevisual/markdown-editor/tiptap/editor.ts';
import { Select } from '@/components/a/select.tsx';
import { useEffect, useRef, useState } from 'react';
import { getSuggestionItems } from '../ai-chat/editor/suggestion/item';
import { html2md } from '@kevisual/markdown-editor/tiptap/index.ts';
import { chatId } from '../ai-chat/utils/uuid';
import '../ai-chat/index.css';
import { links } from './data/link.ts';
// const testImport = async () => {
//   const link1 = 'https://kevisual.xiongxiao.me/root/ai/code/frontend-js/test.js';
//   const link2 = () => '/root/ai/code/frontend-js/test.js';
//   // @ts-ignore
//   const link = await import(link2());
//   console.log('testImport', link);
// };
export const Editor = () => {
  const ref = useRef<HTMLDivElement>(null);
  const editorRef = useRef<TextEditor | null>(null);
  useEffect(() => {
    if (ref.current) {
      editorRef.current = new TextEditor();
      editorRef.current.createEditor(ref.current, {
        items: getSuggestionItems(),
      });
    }
    return () => {
      if (ref.current && editorRef.current) {
        editorRef.current?.destroy?.();
      }
    };
  }, []);
  return (
    <div className='w-[600px] h-[400px] border border-gray-300 flex flex-col mx-auto'>
      <div className='w-full scrollbar' style={{ height: 'calc(100% - 90px)' }} ref={ref}></div>
    </div>
  );
};
export const App = (props: any) => {
  useEffect(() => {
    // testImport();
    // console.log('chatId', chatId());
  }, []);
  return (
    <div className='w-full h-full flex flex-col'>
      <ShowLinks links={links} />
    </div>
  );
};

const ShowLinks = (props: { links: { title: string; description: string; link: string }[] }) => {
  return (
    <div className='w-full h-full flex flex-col'>
      <div className='flex-1 overflow-y-auto'>
        {props.links.map((item, index) => (
          <div key={index} className='p-4 border-b border-gray-200 hover:bg-gray-50'>
            <a href={item.link} className='text-blue-600 hover:underline' target='_blank' rel='noopener noreferrer'>
              {item.title}
            </a>
            <p className='text-gray-600'>{item.description}</p>
          </div>
        ))}
      </div>
    </div>
  );
};
