import MD5 from 'crypto-js/md5';
export const hashFile = (file: File): Promise<string> => {
  return new Promise((resolve, reject) => {
    const reader = new FileReader();

    reader.onload = async (event) => {
      try {
        const content = event.target?.result;
        if (content instanceof ArrayBuffer) {
          const contentString = new TextDecoder().decode(content);
          const hashHex = MD5(contentString).toString();
          resolve(hashHex);
        } else if (typeof content === 'string') {
          const hashHex = MD5(content).toString();
          resolve(hashHex);
        } else {
          throw new Error('Invalid content type');
        }
      } catch (error) {
        console.error('hashFile error', error);
        reject(error);
      }
    };

    reader.onerror = (error) => {
      reject(error);
    };

    // 读取文件为 ArrayBuffer
    reader.readAsArrayBuffer(file);
  });
};
